package com.selesse.android.winedb.tests.winescraper;

import android.test.AndroidTestCase;

import com.google.common.collect.Lists;
import com.selesse.android.winedb.database.Wine;
import com.selesse.android.winedb.model.WineColor;
import com.selesse.android.winedb.winescraper.WineScraperThread;

import java.util.Collections;
import java.util.List;

public class WineScraperThreadTest extends AndroidTestCase {
    public void testWineFieldsCorrectlyNumbered() {
        Wine wine = new Wine();

        assertEquals(0, wine.getNumberOfFilledFields());

        wine.setBarcode("abcdefgh");
        assertEquals(1, wine.getNumberOfFilledFields());

        wine.setName("foobar");
        wine.setComment("comment");
        wine.setColor(WineColor.PORT);

        assertEquals(4, wine.getNumberOfFilledFields());
    }

    public void testWineFieldsCorrectlySorted() {
        List<Wine> wines = Lists.newArrayList();

        Wine wine = new Wine();
        wine.setName("foo");

        Wine wine2 = new Wine();
        wine2.setName("bar");
        wine2.setYear(2013);

        Wine wine3 = new Wine();

        wines.add(wine);
        wines.add(wine2);
        wines.add(wine3);

        Collections.sort(wines, new WineScraperThread.WineNumberOfFieldsComparator());

        assertEquals(wine2, wines.get(0));
        assertEquals(wine, wines.get(1));
        assertEquals(wine3, wines.get(2));
        assertEquals("The first wine should have the most filled fields.",
                2, wines.get(0).getNumberOfFilledFields());
    }
}