package com.selesse.android.winedb.tests.winescraper.impl;

import android.test.AndroidTestCase;

import com.selesse.android.winedb.database.Wine;
import com.selesse.android.winedb.priv.UPCDatabaseOrgKey;
import com.selesse.android.winedb.winescraper.impl.UPCDatabaseOrgWineScraper;

import java.util.List;

public class UPCDatabaseOrgWineScraperTest extends AndroidTestCase {
  public void testQueryUrl() {
    String barcode = "0012044011409";

    UPCDatabaseOrgWineScraper scraper = new UPCDatabaseOrgWineScraper(barcode);

    String expectedUrl = String.format("http://upcdatabase.org/api/json/%s/%s",
        UPCDatabaseOrgKey.getKey(), barcode);

    assertEquals(expectedUrl, scraper.getQueryUrl());
  }

  public void testOldSpiceBarcode() {
    String barcode = "0012044011409";

    UPCDatabaseOrgWineScraper scraper = new UPCDatabaseOrgWineScraper(barcode);

    List<Wine> wines = scraper.scrape();

    assertEquals("There should have been a result!", 1, wines.size());
  }

  public void testBadBarcode() {
    String barcode = "123213123123123123123123";

    UPCDatabaseOrgWineScraper scraper = new UPCDatabaseOrgWineScraper(barcode);

    List<Wine> wines = scraper.scrape();

    assertEquals(0, wines.size());
  }
}
