package com.selesse.android.winedb.tests.winescraper.impl;

import android.test.AndroidTestCase;

import com.selesse.android.winedb.database.Wine;
import com.selesse.android.winedb.winescraper.impl.UPCDatabaseWineScraper;

import java.util.List;

public class UPCDatabaseWineScraperTest extends AndroidTestCase {

  public void testQueryUrl() {
    String barcode = "012044011409";

    UPCDatabaseWineScraper scraper = new UPCDatabaseWineScraper(barcode);

    String expectedUrl = String.format("http://www.upcdatabase.com/item/%s", barcode);

    assertEquals(expectedUrl, scraper.getQueryUrl());
  }

  public void testOldSpiceBarcode() {
    String barcode = "012044011409";

    UPCDatabaseWineScraper scraper = new UPCDatabaseWineScraper(barcode);

    List<Wine> wines = scraper.scrape();

    assertEquals("There should have been a result!", 1, wines.size());
  }

  public void testBadBarcode() {
    String barcode = "012345678";

    UPCDatabaseWineScraper scraper = new UPCDatabaseWineScraper(barcode);

    List<Wine> wines = scraper.scrape();

    assertEquals(0, wines.size());
  }
}
